FROM openshift/golang-builder:rhel_8_golang_1.15 AS builder
ENV __doozer=update BUILD_RELEASE=202201111633.p0.g45e712a.assembly.stream BUILD_VERSION=v4.6.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=6 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.6.0-202201111633.p0.g45e712a.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=45e712a OS_GIT_VERSION=4.6.0-202201111633.p0.g45e712a.assembly.stream-45e712a SOURCE_DATE_EPOCH=1610709702 SOURCE_GIT_COMMIT=45e712af8947aa25865ffb4ebf1f8e466a1d3281 SOURCE_GIT_TAG=v0.4.0-486-g45e712af SOURCE_GIT_URL=https://github.com/openshift/csi-external-attacher 
WORKDIR /go/src/github.com/kubernetes-csi/external-attacher
COPY . .
RUN make build

FROM openshift/ose-base:v4.6.0.20220111.164849
ENV __doozer=update BUILD_RELEASE=202201111633.p0.g45e712a.assembly.stream BUILD_VERSION=v4.6.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=6 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.6.0-202201111633.p0.g45e712a.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=45e712a OS_GIT_VERSION=4.6.0-202201111633.p0.g45e712a.assembly.stream-45e712a SOURCE_DATE_EPOCH=1610709702 SOURCE_GIT_COMMIT=45e712af8947aa25865ffb4ebf1f8e466a1d3281 SOURCE_GIT_TAG=v0.4.0-486-g45e712af SOURCE_GIT_URL=https://github.com/openshift/csi-external-attacher 
COPY --from=builder /go/src/github.com/kubernetes-csi/external-attacher/bin/csi-attacher /usr/bin/
ENTRYPOINT ["/usr/bin/csi-attacher"]

LABEL \
        License="ASL 2.0" \
        io.k8s.description="External attacher for CSI volumes" \
        io.k8s.display-name="External attacher for CSI volumes" \
        io.openshift.tags="csi,storage,attacher" \
        vendor="Red Hat" \
        name="openshift/ose-csi-external-attacher" \
        com.redhat.component="csi-attacher-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="Storage" \
        release="202201111633.p0.g45e712a.assembly.stream" \
        io.openshift.build.commit.id="45e712af8947aa25865ffb4ebf1f8e466a1d3281" \
        io.openshift.build.source-location="https://github.com/openshift/csi-external-attacher" \
        io.openshift.build.commit.url="https://github.com/openshift/csi-external-attacher/commit/45e712af8947aa25865ffb4ebf1f8e466a1d3281" \
        version="v4.6.0"

